﻿
using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.Animation;
using Telerik.Windows.Controls.Docking;

namespace SLDocking
{
    public partial class MainPage : UserControl
    {
        private double width;
        private double height;

        public MainPage()
        {
            InitializeComponent();
        }

        private void dock_PaneStateChange(object sender, Telerik.Windows.RadRoutedEventArgs e)
        {
            RadPane pane = e.OriginalSource as RadPane;
            ToolWindow window = default(ToolWindow);
            if (pane != null && pane.IsFloating)
            {
                var group = pane.ParentOfType<RadPaneGroup>();
                window = pane.ParentOfType<ToolWindow>();
                if (window == default(ToolWindow))
                {
                    this.Dispatcher.BeginInvoke(() =>
                    {
                        window = pane.ParentOfType<ToolWindow>();
                        if (window != null)
                        {
                            window.Width = this.width;
                            window.Height = this.height;
                        }
                    });
                }
                else
                {
                    window.Loaded += new RoutedEventHandler(window_Loaded);
                }
            }
        }

        void window_Loaded(object sender, RoutedEventArgs e)
        {
            ToolWindow window = sender as ToolWindow;
            window.Width = this.width;
            window.Height = this.height;
        }

        private void RadPaneGroup_GotFocus(object sender, RoutedEventArgs e)
        {
            this.width = (sender as RadPaneGroup).ActualWidth;
            this.height = (sender as RadPaneGroup).ActualHeight;
        }

        private void RadPaneGroup_GotFocus_1(object sender, RoutedEventArgs e)
        {
            this.width = (sender as RadPaneGroup).ActualWidth;
            this.height = (sender as RadPaneGroup).ActualHeight;
        }

    }
}
